CubicCartesianData Class Reference (Kig Python Scripting API)

| # Kig Python Scripting API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members

Public Member Functions | Static Public Member Functions | List of all members
CubicCartesianData Class Reference

This class represents an equation of a cubic in the form (in homogeneous coordinates, ), . More...

`#include <cubic-common.h>`

## Public Member Functions
| CubicCartesianData ()
| CubicCartesianData (double a000, double a001, double a002, double a011, double a012, double a022, double a111, double a112, double a122, double a222)
| Constructor.
bool | valid () const
| Return whether this is a valid CubicCartesianData.

## Static Public Member Functions
static CubicCartesianData | invalidData ()
| Create an invalid CubicCartesianData.

## Detailed Description

This class represents an equation of a cubic in the form (in homogeneous coordinates, ), .

The coefficients are stored in lessicografic order.

## Constructor & Destructor Documentation

## ◆ CubicCartesianData()

CubicCartesianData::CubicCartesianData | ( | double | a000,
|  | double | a001,
|  | double | a002,
|  | double | a011,
|  | double | a012,
|  | double | a022,
|  | double | a111,
|  | double | a112,
|  | double | a122,
|  | double | a222 )

Constructor.

Construct a new CubicCartesianData, with the given values as coeffs.

## Member Function Documentation

## ◆ invalidData()

CubicCartesianData CubicCartesianData::invalidData | ( |  | ) |
| static

Create an invalid CubicCartesianData.

This is a special state of a CubicCartesianData that signals that something went wrong..

See also
  CubicCartesianData::valid

References CubicCartesianData().

## ◆ valid()

bool CubicCartesianData::valid | ( |  | ) | const

Return whether this is a valid CubicCartesianData.

See also
  CubicCartesianData::invalidData

This file is part of the documentation for tdelibs .
Documentation copyright © 1996-2002 the KDE developers.
Generated on by doxygen 1.16.1 written by Dimitri van Heesch, © 1997-2001